%global rosdistro fuerte
%global stackname bond_core

#%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:           ros-%{rosdistro}-bond-core
Version:        1.6.3
Release:        2%{?dist}
Summary:        Allows two processes to know when the other has terminated

License:        BSD
URL:            http://ros.org/
Source0:        https://code.ros.org/svn/release/download/stacks/%{stackname}/%{stackname}-%{version}/%{stackname}-%{version}.tar.bz2
Provides:       ros-%{stackname}%{?_isa} = %{version}-%{release}
Provides:       ros-bond-core%{?_isa} = %{version}-%{release}

BuildRequires:  cmake
BuildRequires:  gtest-devel
BuildRequires:  ros-%{rosdistro}-catkin-devel
BuildRequires:  ros-%{rosdistro}-ros-devel
BuildRequires:  ros-%{rosdistro}-roscpp-core-devel
BuildRequires:  ros-%{rosdistro}-ros-comm-devel
BuildRequires:  ros-%{rosdistro}-gencpp
BuildRequires:  ros-%{rosdistro}-genmsg-devel
BuildRequires:  ros-%{rosdistro}-genlisp-devel
BuildRequires:  ros-%{rosdistro}-genpy-devel
BuildRequires:  ros-%{rosdistro}-rospack-devel

%description
A bond allows two processes, A and B, to know when the other has terminated, 
either cleanly or by crashing. The bond remains connected until it is either 
broken explicitly or until a heartbeat times out. 

#%package devel
#Requires: %{name}%{?_isa} = %{version}-%{release}
#Provides: ros-%{stackname}-devel%{?_isa} = %{version}-%{release}
#Provides: ros-dynamic-reconfigure-devel%{?_isa} = %{version}-%{release}
#Summary:  Development files for %{name}

#%description devel
#%{summary}.

%prep
%setup -q -c
# We have to do this so the cmake gunk can find itself. So idiotic.
mv %{stackname}-%{version} %{stackname}

%build
cd %{stackname}
source /opt/ros/%{rosdistro}/setup.sh
export ROS_PACKAGE_PATH=%{_builddir}/%{name}-%{version}:$ROS_PACKAGE_PATH
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/opt/ros/%{rosdistro}/stacks
cp -r %{stackname} %{buildroot}/opt/ros/%{rosdistro}/stacks/
touch %{buildroot}/opt/ros/%{rosdistro}/stacks/%{stackname}/ROS_NOBUILD

%files
/opt/ros/%{rosdistro}/stacks/%{stackname}

%changelog
* Tue Mar 19 2013 Rich Mattes <richmattes@gmail.com> - 1.6.3-2
- Rebuild for new copr

* Mon Jan 14 2013 Rich Mattes <richmattes@gmail.com> - 1.6.3-1
- Initial fuerte package

